package de.ivu.elect.business.gebietsbaum.boundary;

import java.io.Serializable;

import javax.ejb.Stateless;
import javax.inject.Inject;

import de.ivu.elect.business.gebietsbaum.entity.Wahldurchfuehrungsgebiet;
import de.ivu.elect.business.wahl.entity.Wahl;

@Stateless
public class AWerteReset implements Serializable {
  private static final long serialVersionUID = 1L;

  @Inject
  private transient WahldurchfuehrungsgebietDAO wahldurchfuehrungsgebietDAO;

  public void awerteReset(Wahl wahlNotAttached) {
    if (wahlNotAttached == null) {
      return;
    }

    for (Wahldurchfuehrungsgebiet wahldurchfuehrungsgebiet : wahldurchfuehrungsgebietDAO.findByWahl(wahlNotAttached)) {
      wahldurchfuehrungsgebiet.resetAWerte();
    }

  }
}
